%define rolename public-tower-repos

Summary: Ansible Role for ZKKLABS Tower Repositories
Name: ansible-role-%{rolename}
Version: 0.1.6
Release: 1
# URL: 
Source0: %{name}-%{version}.tar.xz
License: GPL
BuildArchitectures: noarch
Requires: ansible

%description
Ansible role to configure the public part of the tower repositories
hosted at the ZKK Labs at the TU Wien.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datarootdir}/{doc/%{name}-%{version},ansible/roles/%{rolename}}
cp -a %{rolename}/. %{buildroot}%{_datarootdir}/ansible/roles/%{rolename}
cp -a doc/* %{buildroot}%{_datarootdir}/doc/%{name}-%{version}/.

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datarootdir}/ansible/roles/%{rolename}
%doc /usr/share/doc/%{name}-%{version}
